サポート » WordPress への貢献と参加 » これはどう解決すればよかったでしょうか?

  • Parse error: syntax error, unexpected ‘[‘ in /home/users/0/main.jp-tommymurakami/web/wp-content/plugins/_mw-wp-form/classes/controllers/class.main.php on line 362

    ロリポップからの回答
    WordPressに導入されているプラグイン「_mw-wp-form」で
    問題が発生しているようでございます。

    「syntax error(構文、文法のエラー)」ということですので
    おそらく該当箇所の前後について、プログラムの記述等に誤りがあり
    修正が必要になる可能性が高いかと存じます。

    お手数ではございますが、該当プラグインの開発元様にご相談いただくか
    WordPress公式フォーラムをご活用いただき、ご対応いただけますと幸いです。

    ヘルプの必要なページ: [リンクを見るにはログイン]

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • CG

    (@du-bist-der-lenz)

    PHP5.4以前のバージョンで短縮構文は使えませんよね。

    こんにちは

    MW WP Form プラグインの最新バージョン (4.0.4) で、PHP のバージョン 5.3、5.2.4 がサポートされました。
    https://wordpress.org/plugins/mw-wp-form/#developers

    FTP などでプラグインのディレクトリの名前 (_mw-wp-form) を再度変更して、プラグインをバージョンアップすると直ると思います。

    To ishitaka (@ishitaka)様

    お早うございます!
    丁寧な御説明ありがとうございます。
    仰る通りの流れで再開出来ました。

    モデレーター Okamoto Hidetaka

    (@hideokamoto)

    PHPのバージョンが古すぎるのが気になりますね。
    WordPressコアも古すぎるバージョンのPHPをいつまでサポートしてくれるかわからないところがありますので、
    サーバー会社のFAQやドキュメントを参考にするなどして、PHP7系にアップグレードされることをオススメします。

    ケースバイケースではありますが、一般的にはPHP7系にすることでパフォーマンスも上がると言われています。

    Okamoto Hidetaka (@hideokamoto)様

    お早うございます!
    丁寧な御説明ありがとうございます。
    「PHP7系」、探してやってみます。

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • このトピックに返信するにはログインが必要です。